package com.lightinit.hsdataportal.mapper;

import com.lightinit.hsdataportal.entity.RunningMonitoring;
import com.lightinit.hsdataportal.entity.RunningMonitoringExample;
import java.util.List;
import org.apache.ibatis.annotations.Param;

public interface RunningMonitoringMapper {
    long countByExample(RunningMonitoringExample example);

    int deleteByExample(RunningMonitoringExample example);

    int deleteByPrimaryKey(Long id);

    int insert(RunningMonitoring record);

    int insertSelective(RunningMonitoring record);

    List<RunningMonitoring> selectByExample(RunningMonitoringExample example);

    RunningMonitoring selectByPrimaryKey(Long id);

    int updateByExampleSelective(@Param("record") RunningMonitoring record, @Param("example") RunningMonitoringExample example);

    int updateByExample(@Param("record") RunningMonitoring record, @Param("example") RunningMonitoringExample example);

    int updateByPrimaryKeySelective(RunningMonitoring record);

    int updateByPrimaryKey(RunningMonitoring record);
}